.lib/sh/util.sh

changeset 969
28111ba4e573
new file mode 100644
--- /dev/null
+++ b/.lib/sh/util.sh
@@ -0,0 +1,11 @@
+warn() { echo "$*" >&2; }
+die() { warn "$*"; exit 1; }
+
+clone_or_pull() {
+  if ! [ -d $2 ]; then
+    git clone --single-branch --depth 1 "$1" $2
+  else
+    echo "$2:"
+    git -C "$2" pull
+  fi
+}

mercurial